Summary: SSL-encrypting socket wrapper
Name: stunnel
Version: 4.10
Release: 5tr
License: GPL
Group: Trustix Official
Source0: http://www.stunnel.org/download/stunnel/src/stunnel-%{version}.tar.gz
Source1: stunnel.init
Source2: stunnel.conf
Patch1 : stunnel-4.10-noprompt.patch
Buildroot: /var/tmp/stunnel-root
BuildRequires: openssl-devel
PreReq: tsl-utils, chkconfig

%description
stunnel is a socket wrapper which can be used to give ordinary
applications SSL (secure sockets layer) support. For example, it
can be used in conjunction with a imapd to create a SSL secure IMAP
server.

%prep

%setup -q
%patch1 -p1
%build
#autoconf
%configure --with-pem-dir=/etc/ssl/certs 

make <<__EOF__
BW
Southern Island
Cliff
Penguins Cooperated
Cliffhangers
penguins.sample.trustix.com
localhost
__EOF__

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/usr/lib
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man8
mkdir -p $RPM_BUILD_ROOT%{_initdir}
mkdir -p $RPM_BUILD_ROOT/etc/stunnel
mkdir -p $RPM_BUILD_ROOT/var/run/stunnel
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{_initdir}/stunnel
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT/etc/stunnel/stunnel.conf
%makeinstall
cat > README-generate-cert << __EOF__
To generate a self signed certificate, execute the following commands:


cd /etc/ssl/certs
openssl req -new -x509 -nodes -days 365 -out server.pem -keyout server.pem
ln -s server.pem \`openssl x509 -noout -hash < server.pem\`.0 
chmod 644 server.pem
__EOF__

cat > README-remove-cert << __EOF__
You may wish to remove the stunnel certificate.
If so, execute the following commands:
rm -f /etc/ssl/certs/`openssl x509 -noout -hash < /etc/ssl/certs/server.pem`.0
rm -f /etc/ssl/certs/server.pem
__EOF__

mv $RPM_BUILD_ROOT/usr/share/doc/stunnel/ \
   $RPM_BUILD_ROOT/usr/share/doc/stunnel-%{version}

%post
chkconfig --add stunnel
if [ "$1" = 2 ]; then
  /sbin/restart_maybe stunnel >/dev/null 2>&1 || :
fi

%preun
if [ "$1" == 0 ]; then
  %{_initdir}/stunnel stop 2>&1
  chkconfig --del stunnel
fi

%clean
#[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(0755,root,root,0755)
%dir /etc/stunnel
%config(noreplace) /etc/stunnel/stunnel.conf
%config(noreplace) /etc/stunnel/stunnel.pem
/etc/stunnel/stunnel.conf-sample
%{_initdir}/stunnel
%attr(0755,nobody,nobody) /var/run/stunnel
%attr(0711,root,root) /usr/sbin/stunnel
%attr(0711,root,root) /usr/sbin/stunnel3
%{_libdir}/libstunnel.*
%doc %{_docdir}/stunnel-%{version}/
%{_mandir}/man8/*

%changelog
* Mon May 22 2006 Nived Gopalan <nived at trustix dot org> 4.10-5tr
- Spec file cleanup.

* Mon May 23 2005 Hasher J <hasher at comodo dot com> 4.10-3tr
- Made changes directly in the chkconfig line in stunnel.init file and
  removed the perl script with reference to Bug#709.

* Fri May 6 2005 Bipin S <bipin at comodo dot com> 4.10-2tr
- Changed ownership of /var/run/stunnel to nobody:nobody
- Fixed Bug #182
 
* Wed Apr 27 2005 Bipin S <bipin at comodo dot com> 4.10-1tr
- New upstream. Patch applied

* Wed Apr 20 2005 Hasher Jamaludeen <hasher at comodo dot com> 4.09-1tr
- New upstream

* Wed Apr 20 2005 Hasher Jamaludeen <hasher at comodo dot com> 4.08-2tr
- Changed init priority

* Thu Apr 05 2005 Thushar Gopalakrishnan <thushara at comodo dot com> 4.08-1tr
- New upstream

* Fri Mar 18 2005 Thushara Gopalakrishnan <thushara at comodo dot com>  4.05-8tr
- Rebuilt

* Tue Nov 10 2004 Oystein Viggen <oysteivi at trustix dot com> 4.05-7tr
- Rebuild with shared openssl

* Fri Aug 27 2004 Erlend Midttun <erlendbm at trustix dot org> 4.05-5tr
- Fix init script.

* Tue Mar 23 2004 Chr. Toldnes <christht at trustix dot org> 4.05-4tr
- cleanup in %post and %postun
- correct output in initscript

* Sun Feb 15 2004 Gerald Dachs <gda at trustix dot org> 4.05-1gd
- New upstream
- buildrequires openssl-devel

* Tue Aug 26 2003 Erlend Midttun <erlendbm at trustix dot com> 4.04-5tr
- Now create /var/run/stunnel.

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 4.04-4tr
- Big rebuild

* Wed Apr  9 2003 Gerald Dachs <gda at trustix dot org> 4.04-3gd
- Added PreReq on tsl-utils

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 4.04-2em
- Rebuilt against glibc 2.3.2.

* Thu Jan 23 2003 Erlend Midttun <erlendbm at trustix dot com> 4.04-1em
- Updated to 4.04.

* Sun Jan 19 2003 Gerald Dachs <gda at trustix dot org> 3.22-2gd
- rebuilt against openssl 0.9.7

* Wed Jan  2 2002 Erlend Midttun <erlendbm at trustix dot com>
- Picked up 3.22 to fix security hole.

* Thu Jun 14 2001 Erlend Midttun <erlendbm at trustix dot com>
- Now generate dummy certificate so it won't stop the autobuild.

* Tue Mar  5 2001 Alexander Reelsen <ar at trustix dot com>
- Picked up 3.14

* Tue Dec 19 2000 Oystein Viggen <oysteivi at trustix dot com>
- Fix a format string exploit in log.c

* Wed Nov 22 2000 Olaf Trygve Berglihn <olafb at trustix dot com>
- Updated to version 3.8p4
- Moved piddir to /var/run
- Moved manpages to /usr/share/man
- Moved pemdir to /usr/ssl/certs

* Mon Feb 18 2000 Erlend Midttun <erlendbm at trustix dot com>
- Updated to version 2.8
- Moved manpages to comply with FHS

* Fri Aug 12 1999 Damien Miller <damien@ibs.com.au>
- Updated to 3.4a
- Patched for OpenSSL 0.9.4
- Cleaned up files section

* Sun Jul 11 1999 Damien Miller <dmiller@ilogic.com.au>
- Updated to 3.3

* Sat Nov 28 1998 Damien Miller <dmiller@ilogic.com.au>
- Initial RPMification


